﻿using System.Windows.Media;
using Image = System.Windows.Controls.Image;
using UserControl = System.Windows.Controls.UserControl;

namespace WpfPrintingRasterizationTestApp
{
   public class WpfPanel : UserControl
   {
      public delegate void DrawOnDc(DrawingContext dc);

      public WpfPanel(DrawOnDc drawOnDc)
      {
         var drawingGroup = new DrawingGroup();
         using (DrawingContext dc = drawingGroup.Open())
         {
            drawOnDc(dc);
         }

         // Display the drawing using an image control.
         var image = new Image();
         var imageSource = new DrawingImage(drawingGroup);
         image.Source = imageSource;
         Content = image;
      }
   }
}
